﻿using C1.Win.C1Preview;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PrintPreviewControlToolbar
{
    public partial class Form1 : Form
    {
        public Form1()
{
            InitializeComponent();

            //Create custom toolbar
            var toolstrip = new ToolStrip() { Name = "customStrip" };
            toolstrip.Items.Add(new ToolStripButton(string.Empty, Properties.Resources.customize, (s, e) => MessageBox.Show("Custom Button"), "btnCustom1"));
            toolstrip.Items.Add(new ToolStripButton(string.Empty, Properties.Resources.customize, (s, e) => MessageBox.Show("Custom Button"), "btnCustom2"));
            toolstrip.Items.Add(new ToolStripButton(string.Empty, Properties.Resources.customize, (s, e) => MessageBox.Show("Custom Button"), "btnCustom3"));

            //Add custom toolbar and reorder the existing toolbars
            c1PrintPreviewControl1.TopToolStripPanel.Join(toolstrip, 1);
            c1PrintPreviewControl1.TopToolStripPanel.Join(c1PrintPreviewControl1.TopToolStripPanel.Controls[0] as ToolStrip, 1);
            c1PrintPreviewControl1.TopToolStripPanel.Join(c1PrintPreviewControl1.TopToolStripPanel.Controls[1] as ToolStrip, 1);
            c1PrintPreviewControl1.TopToolStripPanel.Join(c1PrintPreviewControl1.TopToolStripPanel.Controls[2] as ToolStrip, 1);
            c1PrintPreviewControl1.TopToolStripPanel.Join(c1PrintPreviewControl1.TopToolStripPanel.Controls[3] as ToolStrip, 1);
            c1PrintPreviewControl1.TopToolStripPanel.Join(c1PrintPreviewControl1.TopToolStripPanel.Controls[4] as ToolStrip, 1);
        }
    }
}
